// ============================================================
// Copyright (C) 2009 Kuzumeji Wizard. All rights reserved.
// ____ GNU GENERAL PUBLIC LICENSE Version 3, 29 June 2007 ____
// ___________ http://www.gnu.org/licenses/gpl.html ___________
// File: $Id$
// ============================================================
package kuzumeji.dto;
import org.richfaces.model.CalendarDataModelItem;
/**
 * CalendarDataModelItemImpl
 * @author nilcy
 */
public class CalendarDataModelItemImpl implements CalendarDataModelItem {
    /** data */
    private Object data;
    /** styleClass */
    private String styleClass;
    /** toolTip */
    private Object toolTip;
    /** day */
    private int day;
    /** enabled */
    private boolean enabled = true;
    /**
     * @see org.richfaces.model.CalendarDataModelItem#getData()
     */
    @Override
    public Object getData() {
        return this.data;
    }
    /**
     * setter for data
     * @param aData data
     */
    public void setData(Object aData) {
        this.data = aData;
    }
    /**
     * @see org.richfaces.model.CalendarDataModelItem#getDay()
     */
    @Override
    public int getDay() {
        return this.day;
    }
    /**
     * setter for day
     * @param aDay day
     */
    public void setDay(int aDay) {
        this.day = aDay;
    }
    /**
     * @see org.richfaces.model.CalendarDataModelItem#getStyleClass()
     */
    @Override
    public String getStyleClass() {
        return this.styleClass;
    }
    /**
     * setter for styleClass
     * @param aStyleClass styleClass
     */
    public void setStyleClass(String aStyleClass) {
        this.styleClass = aStyleClass;
    }
    /**
     * @see org.richfaces.model.CalendarDataModelItem#getToolTip()
     */
    @Override
    public Object getToolTip() {
        return this.toolTip;
    }
    /**
     * @see org.richfaces.model.CalendarDataModelItem#hasToolTip()
     */
    @Override
    public boolean hasToolTip() {
        return getToolTip() != null;
    }
    /**
     * setter for toolTip
     * @param aToolTip toolTip
     */
    public void setToolTip(Object aToolTip) {
        this.toolTip = aToolTip;
    }
    /**
     * @see org.richfaces.model.CalendarDataModelItem#isEnabled()
     */
    @Override
    public boolean isEnabled() {
        return this.enabled;
    }
    /**
     * setter for enabled
     * @param aEnabled enabled
     */
    public void setEnabled(boolean aEnabled) {
        this.enabled = aEnabled;
    }
}
